1033:0194 USB3 card reader hangs/powers off when connected to USB3 port [NEC uPD720200]

Bug #904412 reported by Jason Gerard DeRose on 2011-12-14
62
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

As in Oneiric, the USB3 hardware I've tried hangs and seemingly powers off when connected to a USB3 port. The same hardware works fine when plugged into a USB2 port.

For reference, I'm trying to use this USB3 card reader:

http://www.amazon.com/Lexar-Professional-Dual-Slot-Reader-LRW300URBNA/dp/B0050C9ZMC

On a motherboard with an NEC uPD720200 USB3 controller (2 ports). The card reader appears to work normally for a short moment, and then seems to power-down (the light goes off similar to when you eject/safely remove the card). Here is the interesting bits from dmesg:

[ 663.396520] usb 9-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 663.416311] xhci_hcd 0000:03:00.0: WARN: short transfer on control ep
[ 663.416948] xhci_hcd 0000:03:00.0: WARN: short transfer on control ep
[ 663.417432] xhci_hcd 0000:03:00.0: WARN: short transfer on control ep
[ 663.418057] xhci_hcd 0000:03:00.0: WARN: short transfer on control ep
[ 663.419343] scsi7 : usb-storage 9-1:1.0
[ 664.417484] scsi 7:0:0:0: Direct-Access Lexar CF USB_3_0 Read 0545 PQ: 0 ANSI: 0
[ 664.418244] scsi 7:0:0:1: Direct-Access Lexar SD USB_3_0 Read 0545 PQ: 0 ANSI: 0
[ 664.419532] sd 7:0:0:0: Attached scsi generic sg2 type 0
[ 664.420353] sd 7:0:0:1: Attached scsi generic sg3 type 0
[ 664.421612] sd 7:0:0:0: [sdc] Attached SCSI removable disk
[ 664.422757] sd 7:0:0:1: [sdd] Attached SCSI removable disk
[ 707.003933] xhci_hcd 0000:03:00.0: WARN: transfer error on endpoint
[ 707.234454] usb 9-1: reset SuperSpeed USB device number 2 using xhci_hcd
[ 707.339021] xhci_hcd 0000:03:00.0: WARN: short transfer on control ep
[ 707.339144] xhci_hcd 0000:03:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff880207691b80
[ 707.339152] xhci_hcd 0000:03:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff880207691bc0
[ 711.713643] sd 7:0:0:0: [sdc] 62533296 512-byte logical blocks: (32.0 GB/29.8 GiB)
[ 711.713817] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 711.714552] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 711.715110] sd 7:0:0:0: [sdc] No Caching mode page present
[ 711.715120] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 711.715834] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 711.716529] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 711.717109] sd 7:0:0:0: [sdc] No Caching mode page present
[ 711.717118] sd 7:0:0:0: [sdc] Assuming drive cache: write through
[ 711.740043] xhci_hcd 0000:03:00.0: WARN: transfer error on endpoint
[ 731.852099] xhci_hcd 0000:03:00.0: Timeout while waiting for address device command

Potential WORKAROUND: sudo echo acpiphp >> /etc/modules
Modify /etc/default/grub to have:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash pciehp_force=1 pciehp_poll_mode=1"

and run:
sudo update-grub

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-4-generic 3.2.0-4.10
ProcVersionSignature: Ubuntu 3.2.0-4.10-generic 3.2.0-rc5
Uname: Linux 3.2.0-4-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: VT1818S Analog [VT1818S Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jderose 1918 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xfe7f4000 irq 16'
   Mixer name : 'VIA VT1818S'
   Components : 'HDA:11060440,10438416,00100000'
   Controls : 37
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'HDMI'/'HDA ATI HDMI at 0xfe9ec000 irq 51'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100100'
   Controls : 5
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Wed Dec 14 12:50:08 2011
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=475ae5fc-8e8e-4900-8a40-1de4e54a228f
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-4-generic root=UUID=99836a48-007a-45a5-9adc-2750052761af ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-4-generic N/A
 linux-backports-modules-3.2.0-4-generic N/A
 linux-firmware 1.62
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2011-12-01 (12 days ago)
dmi.bios.date: 03/08/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2001
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A87TD/USB3
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2001:bd03/08/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A87TD/USB3:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Jason Gerard DeRose (jderose) wrote :
Brad Figg (brad-figg) on 2011-12-14
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'. If you believe this bug does not require upstream testing, please add the tag: 'kernel-upstream-testing-not-needed'.

Thanks in advance.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Rocko (rockorequin) wrote :

I find on a Dell XPS15 with the 3.2-rc5 kernel that USB3 support is generally better (and note that there has been at least one recent fix to xhci_hcd that resets the hub under certain conditions).

It's still not perfect though. In my case, my external USB3 hard drive can still get into a state where it won't be even seen by the kernel when it's plugged into a USB3 hub, but if I plug it directly into the PC, the kernel can see it. Rebooting usually resolves the problem.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-5.11

Exact same problem with upstream 3.2.0-030200rc5-generic, and with the 3.2.0-5 Ubuntu kernel.

dmesg from upstream 3.2.0-030200rc5-generic:

[ 73.712292] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 73.712995] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 73.713469] sd 6:0:0:0: [sdc] No Caching mode page present
[ 73.713472] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 73.714070] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 73.714745] xhci_hcd 0000:03:00.0: WARN: Stalled endpoint
[ 73.715219] sd 6:0:0:0: [sdc] No Caching mode page present
[ 73.715222] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 73.737920] xhci_hcd 0000:03:00.0: WARN: transfer error on endpoint
[ 93.848107] xhci_hcd 0000:03:00.0: Timeout while waiting for address device command
[ 114.052110] xhci_hcd 0000:03:00.0: Timeout while waiting for address device command
[ 114.256102] usb 9-1: device not accepting address 2, error -62
[ 134.368089] xhci_hcd 0000:03:00.0: Timeout while waiting for reset device command
[ 134.368093] usb 9-1: Cannot reset HCD device state
[ 154.480090] xhci_hcd 0000:03:00.0: Timeout while waiting for reset device command
[ 154.480103] usb 9-1: Cannot reset HCD device state

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-6.12
Rocko (rockorequin) on 2011-12-19
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Download full text (4.7 KiB)

I have this same chipset on my Asus Republic of Gamers motherboard and use the same Lexar memory card reader and a USB3 external hard drive without issue. The system runs an updated oneiric install.

dmesg output from connecting, inserting and mounting a 32G Lexar SD memory card:
[ 3971.264509] usb 9-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 3971.282895] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 3971.283517] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 3971.284042] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 3971.284640] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 3971.285916] scsi13 : usb-storage 9-1:1.0
[ 3972.285711] scsi 13:0:0:0: Direct-Access Lexar CF USB_3_0 Read 0545 PQ: 0 ANSI: 0
[ 3972.286534] scsi 13:0:0:1: Direct-Access Lexar SD USB_3_0 Read 0545 PQ: 0 ANSI: 0
[ 3972.286693] scsi: killing requests for dead queue
[ 3972.348176] scsi: killing requests for dead queue
[ 3972.376243] scsi: killing requests for dead queue
[ 3972.440269] scsi: killing requests for dead queue
[ 3972.493593] scsi: killing requests for dead queue
[ 3972.528203] scsi: killing requests for dead queue
[ 3972.584300] scsi: killing requests for dead queue
[ 3972.652270] scsi: killing requests for dead queue
[ 3972.680570] sd 13:0:0:0: Attached scsi generic sg3 type 0
[ 3972.680949] sd 13:0:0:1: Attached scsi generic sg4 type 0
[ 3972.683384] sd 13:0:0:0: [sdc] Attached SCSI removable disk
[ 3972.684932] sd 13:0:0:1: [sdh] Attached SCSI removable disk
[ 4002.489014] sd 13:0:0:1: [sdh] 62535680 512-byte logical blocks: (32.0 GB/29.8 GiB)
[ 4002.489195] xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
[ 4002.489917] xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
[ 4002.490507] sd 13:0:0:1: [sdh] No Caching mode page present
[ 4002.490518] sd 13:0:0:1: [sdh] Assuming drive cache: write through
[ 4002.491241] xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
[ 4002.491902] xhci_hcd 0000:02:00.0: WARN: Stalled endpoint
[ 4002.492497] sd 13:0:0:1: [sdh] No Caching mode page present
[ 4002.492506] sd 13:0:0:1: [sdh] Assuming drive cache: write through
[ 4002.493656] sdh: sdh1

And here is the same output for the hard drive:
[ 4131.048219] usb 9-2: new SuperSpeed USB device number 3 using xhci_hcd
[ 4131.066932] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 4131.067554] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 4131.068171] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 4134.592174] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
[ 4134.593663] scsi14 : usb-storage 9-2:1.0
[ 4135.595718] scsi 14:0:0:0: Direct-Access WDC WD32 00BEKT-60PVMT0 01.0 PQ: 0 ANSI: 0
[ 4135.595892] scsi: killing requests for dead queue
[ 4135.660280] scsi: killing requests for dead queue
[ 4135.724250] scsi: killing requests for dead queue
[ 4135.788295] scsi: killing requests for dead queue
[ 4135.852283] scsi: killing requests for dead queue
[ 4135.920298] scsi: killing requests for dead queue
[ 4135.984272] scsi: killing requests for dead queue
[ 4136.048275] scsi: killing requests for dead queue
[ 4136.116557] sd 14:0:0:0: Attached scsi generic s...

Read more...

Craig Magina (craig.magina) wrote :

Forgot some more system information:

Kernel: 3.0.0-14-generic
USB3 Chipset: 02:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 03)

Jason Gerard DeRose (jderose) wrote :

Craig,

Thanks so much! Nice to know this controller is at least working in some situations. Wonder what the difference is.

Are you running 32 or 64bit? What is the exact motherboard model?

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-7.13

Same problem with linux-image-3.2.0-7-generic version 3.2.0-7.13

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-8.14

Same problem with 3.2.0-8.14.

tags: removed: kernel-request-3.2.0-5.11 kernel-request-3.2.0-6.12 kernel-request-3.2.0-7.13 kernel-request-3.2.0-8.14
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-8.14
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-8.15
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-9.16

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Triaged
Jason Gerard DeRose (jderose) wrote :

This sounds like the same bug upstream:

https://bugzilla.kernel.org/show_bug.cgi?id=42584

Interestingly, it was happening with a different USB3 controller, so this bug doesn't seems specific to the NEC uPD720200.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → Invalid
Jason Gerard DeRose (jderose) wrote :

Still the problem with linux-image-3. 3.2.0-23.36

tags: added: bot-stop-nagging oneiric
removed: kernel-request-3.2.0-8.14 kernel-request-3.2.0-8.15 kernel-request-3.2.0-9.16 usb3
summary: - USB3 card reader hangs/powers off when connected to USB3 port [NEC
- uPD720200]
+ 1033:0194 USB3 card reader hangs/powers off when connected to USB3 port
+ [NEC uPD720200]
Jason Gerard DeRose (jderose) wrote :

FYI, same bug is still present under Quantal.

Roland (roland-breedveld) wrote :

Post from similair bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1006765
(is this the same ?)

Yes, Thanxz Paul
https://bugs.launchpad.net/ubuntu/+source/udev/+bug/999462
this solves it, dit test it with a couple of devices:
- I can plug out and in the pci express card
- Adding usb sticks and hubs is working fine.
- plugging in a usb3 hard-disk into the card doesn't work, no messages in log-files
- plugging in the express-card together with a connected harddisk works !!
  (sometimes I have to retry it 1 or 2 times)
  when it fails I get: hub 4-0:1.0: unable to enumerate USB device on port 1
- plugging in firs a usb3 hub and later the hard-disk works

So it's not 100% solved, but I can work with this work-arround.

Jason Gerard DeRose, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.8-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Changed in linux:
importance: Medium → Undecided
status: Invalid → New
description: updated
tags: added: regression-potential
tags: removed: oneiric
Jason Gerard DeRose (jderose) wrote :

Christopher, sure, I can test later this week. Thanks!

Jason Gerard DeRose (jderose) wrote :

I haven't had a chance to test the upstream kernel yet, but I upgraded my workstation to Raring, and with 3.8.0-5-generic, I can now run my benchmark without the card-reader being powered off. However, it's slower than when I use the same card and card-reader plugged into a USB2 port.

With 3.8.0-4-generic, I was still experiencing the same problem with the card-reading powering off. So between the -4 and -5 revisions, something change that seemingly fixed the problem, aside from the performance issue.

Jason Gerard DeRose, did you need a backport of this fix to a release prior to Raring, or may we close this as Status Invalid?

Jason Gerard DeRose (jderose) wrote :

Christopher,

Please, don't mark this as Invalid... in subsequent 3.8.0 revisions the behavior has returned. I don't think it was ever truly fixed, I think there was perhaps some performance regression that prevented this bug from occuring. I've notice that this bug conistently occurs at high read IO load, but sometimes wont occur if you're more delicate in your use.

I've also been able to test with mulitple USB3 host controllers now (before I thought perhaps it was a quirk with just the NEC host chip) and I get the same behavior. The new controller is:

Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04) (prog-if 30 [XHCI])

And I've tested with multiple brands of USB3 card readers and have gotten the same behavior. In all cases, it seems like the power management is powering down the link (if that's even the right terimnology) when it shouldn't.

Hopefully in the next few weeks I can really dig into this in the kernel, toss in extra debugging, etc. Interestingly, removable USB3 HDD seem to work fine. On the surface the only difference I can think of is that these card readers present mulitple USB mass storage devices (most have at least a CF and an SD slot).

Anyway, thanks for your help!

Tero Ratilainen (unksi) wrote :

This bug happens to me as well on Ubuntu 13.04 when using USB 3 HDD's and copying lots of files (for example, backing up several hundred GB's at once).

Jason Gerard DeRose, could you please test for this in Saucy via http://cdimage.ubuntu.com/daily-live/current/ and comment on the results?

Tero Ratilainen, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.